<?php
declare(strict_types=1);


namespace App\Controller\Api;


use App\Entity\Room;
use PHPUnit\Util\Json;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\Serializer\SerializerInterface;

final class GetRoomController extends AbstractController
{
    /**
     * @Route("/api/room/{id}", name="api_get_room", methods={"GET"}))
     */
    public function __invoke(Room $room, SerializerInterface $serializer): JsonResponse
    {
        // jak zronbić, żeby encja nie robiła wszystkiego (serializacj, walidacja, mapowanie na baze)
        // 1. przyjmuje po prostu id jako int albo IdDto, (nie używamy automtycznego param convertera)
        // 2. przekazujemy id do odpowiedniego serwisu
        // 3. serwis pyta baza danych i zwraca Dto, które tworzy na podstawie encji
        // 4. serializujemy dto.

        return JsonResponse::fromJsonString(
            $serializer->serialize($room, 'json')
        );
    }

}
