<?php

namespace App\Entity;

use App\Repository\ReservationRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=ReservationRepository::class)
 */
class Reservation
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private int $id;

    /**
     * @ORM\ManyToOne(targetEntity="Room")
     * @ORM\JoinColumn(name="room_id", referencedColumnName="id", nullable=false)
     */
    private Room $room;

    /**
     * @ORM\Column(type="datetime")
     */
    private \DateTime $dateFrom;

    /**
     * @ORM\Column(type="datetime")
     */
    private \DateTime $dateEnd;

    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return Reservation
     */
    public function setId(int $id): Reservation
    {
        $this->id = $id;
        return $this;
    }

    public function getRoom(): Room
    {
        return $this->room;
    }

    /**
     * @param Room $room
     * @return Reservation
     */
    public function setRoom(Room $room): Reservation
    {
        $this->room = $room;
        return $this;
    }

    public function getDateFrom(): \DateTime
    {
        return $this->dateFrom;
    }

    /**
     * @param \DateTime $dateFrom
     * @return Reservation
     */
    public function setDateFrom(\DateTime $dateFrom): Reservation
    {
        $this->dateFrom = $dateFrom;
        return $this;
    }

    public function getDateEnd(): \DateTime
    {
        return $this->dateEnd;
    }

    /**
     * @param \DateTime $dateEnd
     * @return Reservation
     */
    public function setDateEnd(\DateTime $dateEnd): Reservation
    {
        $this->dateEnd = $dateEnd;
        return $this;
    }
}
