<?php

namespace App\Repository;

use App\Entity\Category;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method Category|null find($id, $lockMode = null, $lockVersion = null)
 * @method Category|null findOneBy(array $criteria, array $orderBy = null)
 * @method Category[]    findAll()
 * @method Category[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CategoryRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Category::class);
    }

    public function findSorted($sorting)
    {
        $qb = $this
            ->createQueryBuilder('category');

        if ('ASC' === $sorting) {
            $qb->addOrderBy('category.name', 'ASC');
        } elseif ('DESC' === $sorting) {
            $qb->addOrderBy('category.name', 'DESC');
        }

        $query = $qb->getQuery();

        return $query->getResult();
    }

}
