<?php
declare(strict_types=1);

namespace App\Tests;

use App\Entity\Reservation;
use App\Service\Reservation\AddReservation;

use PHPUnit\Framework\TestCase;

//uproszczony przykład testu jednostkowego
final class AddReservationTest extends TestCase
{
    public function testTest(): void
    {
        //przygotwanie środowiska (given)
        $emSpy = new EntityManagerSpy();
        $service = new AddReservation(
            $emSpy
        );
        $reservation = new Reservation();

        //wykonanie akcji (then)
        $service->add($reservation);

        //sprawdzenie warunków
        self::assertEquals(1, $emSpy->getFlushCount());

        self::assertEquals($reservation, $emSpy->getPersisted()[0]);
        self::assertSame($reservation, $emSpy->getPersisted()[0]);

    }
}
