<?php
declare(strict_types=1);

namespace App\Tests\E2E;

use Symfony\Bundle\FrameworkBundle\KernelBrowser;
use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;

//Example E2E test with negative scenario invalid token
final class ApiGetRoomTest extends WebTestCase
{
    private KernelBrowser $client;

    public function testInvalidToken()
    {
        $this->client = self::createClient([]);

        $this->client->request(
            'GET',
            '/api/room/9', // mozna to URI wygenerować przy pomocy Symfony router,
            [],
            [],
            [
                'HTTP_AUTHORIZATION' => 'Bearer some_token',
            ]
        );

        $response = $this->client->getResponse();

        $content = $response->getContent();
        $expectedContent = '{"code":401,"message":"Invalid JWT Token"}';

        self::assertEquals($content, $expectedContent);

    }

}
